Subject: RE: [netmod] Last Call: <draft-ietf-netmod-yang-model-classification-06.txt> (YANG Module Classification) to Informational RFC

From: "Adrian Farrel" <[email-masked]>
Date: Mon, 1 May 2017 12:15:46 +0100

Hi,

I've been reading, reviewing, and discussing this document for a number of
revisions. Of special concern was the relationship to RFC 8049 and
draft-wu-opsawg-service-model-explained.

The last two revisions have captured the essence of these discussions, and I am
happy with the document as it stands. I think it should be published as an
Informational RFC.

Thanks,
Adrian

> -----Original Message-----
> From: netmod [mailto:[email-masked]] On Behalf Of The IESG
> Sent: 01 May 2017 03:32
> To: IETF-Announce
> Cc: [email-masked]; [email-masked]; draft-ietf-netmod-yang-
> [email-masked]; [email-masked]
> Subject: [netmod] Last Call:
<draft-ietf-netmod-yang-model-classification-06.txt>
> (YANG Module Classification) to Informational RFC
> 
> 
> The IESG has received a request from the NETCONF Data Modeling Language
> WG (netmod) to consider the following document:
> - 'YANG Module Classification'
>   <draft-ietf-netmod-yang-model-classification-06.txt> as Informational
> RFC
> 
> The IESG plans to make a decision in the next few weeks, and solicits
> final comments on this action. Please send substantive comments to the
> [email-masked] mailing lists by 2017-05-14. Exceptionally, comments may be
> sent to [email-masked] instead. In either case, please retain the
> beginning of the Subject line to allow automated sorting.
> 
> Abstract
> 
> 
>    The YANG data modeling language is currently being considered for a
>    wide variety of applications throughout the networking industry at
>    large.  Many standards-defining organizations (SDOs), open source
>    software projects, vendors and users are using YANG to develop and
>    publish YANG modules for a wide variety of applications.  At the same
>    time, there is currently no well-known terminology to categorize
>    various types of YANG modules.
> 
>    A consistent terminology would help with the categorization of YANG
>    modules, assist in the analysis of the YANG data modeling efforts in
>    the IETF and other organizations, and bring clarity to the YANG-
>    related discussions between the different groups.
> 
>    This document describes a set of concepts and associated terms to
>    support consistent classification of YANG modules.
> 
> 
> 
> 
> The file can be obtained via
> https://datatracker.ietf.org/doc/draft-ietf-netmod-yang-model-classification/
> 
> IESG discussion can be tracked via
> https://datatracker.ietf.org/doc/draft-ietf-netmod-yang-model-
> classification/ballot/
> 
> 
> No IPR declarations have been submitted directly on this I-D.
> 
> 
> 
> 
> _______________________________________________
> netmod mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/netmod

---

From: Jonathan Hansford <[email-masked]>
Date: Mon, 1 May 2017 15:11:36 +0100

I have no substantive comments, but have noticed, among other things, a few somewhat inconsequential typos that could nevertheless impact readability, particularly for those for whom English is a second language:
• Page 3, penultimate bullet: s/by network operator/by a network operator
• Why is figure 1 on page 5 when it is first referenced at the top of page 4?
• Section 2.1, second paragraph (2 typos): s/peole or extarnal/people or external
• Section 2.1, last paragraph: I don't understand the second sentence that starts: “Although it provides information …”
• Section 2.2, second paragraph: i don't understand the first sentence that starts: “Although the [RFC7950], [RFC7950] …”
• Section 3.3, second paragraph: s/include ability/include the ability
• Section 6: small point but I believe the second acknowledgement should be me(!), “Jonathan Hansford”, not “David”

Jonathan

=O)

On 1 May 2017, 03:32 +0100, The IESG <[email-masked]>, wrote:
> https://datatracker.ietf.org/doc/draft-ietf-netmod-yang-model-classification/ballot/
>
>

---

From: Qin Wu <[email-masked]>
Date: Tue, 2 May 2017 04:28:47 +0000

Thanks for updating, the changes in (v-06)sounds great.
I support the publication of this document.

-Qin
-----邮件原件-----
发件人: netmod [mailto:[email-masked]] 代表 Adrian Farrel
发送时间: 2017年5月1日 19:16
收件人: [email-masked]
抄送: [email-masked]; [email-masked]; [email-masked]; [email-masked]
主题: Re: [netmod] Last Call: <draft-ietf-netmod-yang-model-classification-06.txt> (YANG Module Classification) to Informational RFC

Hi,

I've been reading, reviewing, and discussing this document for a number of revisions. Of special concern was the relationship to RFC 8049 and draft-wu-opsawg-service-model-explained.

The last two revisions have captured the essence of these discussions, and I am happy with the document as it stands. I think it should be published as an Informational RFC.

Thanks,
Adrian

> The IESG has received a request from the NETCONF Data Modeling 
> Language WG (netmod) to consider the following document:
>   <draft-ietf-netmod-yang-model-classification-06.txt> as 
> Informational RFC
> 
> [email-masked] mailing lists by 2017-05-14. Exceptionally, comments may 
> be sent to [email-masked] instead. In either case, please retain the

---

From: Benoit Claise <[email-masked]>
Date: Tue, 2 May 2017 23:23:29 +0200

Thanks Jonathan,

See in line.

> I have no substantive comments, but have noticed, among other things, 
> a few somewhat inconsequential typos that could nevertheless impact 
> readability, particularly for those for whom English is a second language:
> • Section 2.1, last paragraph: I don't understand the second sentence 
> that starts: “Although it provides information …”
> • Section 2.2, second paragraph: i don't understand the first sentence 
> that starts: “Although the [RFC7950], [RFC7950] …”
I guess this should be:

    Although YANG [RFC7950 <https://tools.ietf.org/html/rfc7950>] doesn't explain the relationship of
    the terms '(YANG) data model' and '(YANG) module', the authors
    understand there is a 1:1 relationship between a data model and a
    YANG module, but a data model may also be expressed using a
    collection of YANG modules (and submodules).  The module provides a
    coherent data model representation of the software environment
    consisting of the operating system and applications running on the
    device.  The decomposition, ordering, and execution of changes to the
    operating system and application configuration is the task of the
    agent that implements the module.

Re-reading this paragraph, its logical place is in the terminology 
section 1.1, next to data model and module definitions.

Regards, Benoit
> • Section 6: small point but I believe the second acknowledgement 
> should be me(!), “Jonathan Hansford”, not “David”
>
> Jonathan
>
> =O)
>
>

---

From: Benoit Claise <[email-masked]>
Date: Wed, 17 May 2017 09:16:07 -0400

Hi Jonathan,

See 
https://www.ietf.org/rfcdiff?url2=draft-ietf-netmod-yang-model-classification-07 
for the applied changes.
The sentence is section 2.2 has been removed: it was too hard to parse 
(and was not strictly needed for this draft).

Regards, Benoit
>> • Section 2.2, second paragraph: i don't understand the first 
>> sentence that starts: “Although the [RFC7950], [RFC7950] …”
> I guess this should be: